Bug 1336 - testparm -s does not show server role
testparm -s does not show server role
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.3
All Linux
: P4 trivial
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-10 03:48 UTC by Mark Pröhl
Modified: 2006-01-25 08:38 UTC (History)
0 users

See Also:


Attachments
fix for 1336 (1.20 KB, patch)
2004-05-17 07:06 UTC, Mark Pröhl
no flags Details
Updated patch for 3.0.21a (423 bytes, patch)
2006-01-12 11:32 UTC, William Jojo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Pröhl 2004-05-10 03:48:35 UTC
I observed this behaviour with samba-3.0.4 and the fedora package 3.0.3-5 
Propably other versions show the same behaviour. 
 
Here is what happens: 
 
bash-2.05b$ testparm 2>&1 | grep role 
Server role: ROLE_DOMAIN_PDC 
 
bash-2.05b$ testparm -s 2>&1 | grep role 
bash-2.05b$
Comment 1 Mark Pröhl 2004-05-17 07:06:21 UTC
Created attachment 515 [details]
fix for 1336

I am not shure if this is really a bug. But according to the testparm manual
page "-s" only switches off the prompt:     
       ...
       -s     Without  this option, testparm will prompt for a carriage return
	      after printing the service names and before dumping the  service
	      definitions.
       ...

Perhaps only the man page has to be fixed?
Comment 2 William Jojo 2006-01-12 11:32:36 UTC
Created attachment 1674 [details]
Updated patch for 3.0.21a

This is definitely a bug as Server Role should be display in silent (no-prompt) mode as pointed out by the original patch supplier. This is just an updated patch to go against the current tree.
Comment 3 Gerald (Jerry) Carter 2006-01-25 08:38:56 UTC
This is fixed now I think in 3.0.21b